%define upstream_name    Spread
%define upstream_version 3.17.4.4

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Perl extension for the Spread group communication system 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/J/JE/JESUS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	libspread-devel


%description
Spread is a Perl module that conveniently wraps the Spread C libraries provided
with the Spread 3.17.3 distribution. Spread is available at
http://www.spread.org/. Spread is a local/wide area group communication toolkit
that runs on most modern operating systems. It allows convenient mechanisms for
reliable multicasting information between applications as well as providing
many more complicate assurances.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix paths
perl -pi -e "s|^\\\$SPLIB_LIB.*|\\\$SPLIB_LIB=\'-L%{_libdir}\'\;|g" Makefile.PL
perl -pi -e "s|^\\\$SPLIB_INCLUDE.*|\\\$SPLIB_INCLUDE=\'-I%{_includedir}\'\;|g" Makefile.PL

# fix permissions
chmod 644 README

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc README
%{perl_vendorarch}/auto/Spread
%{perl_vendorarch}/Spread.pm
%{_mandir}/*/*


%changelog
* Wed Nov 29 2023 tv <tv> 3.17.4.4-26.mga10
+ Revision: 2011451
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 3.17.4.4-25.mga9
+ Revision: 1862421
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 3.17.4.4-24.mga9
+ Revision: 1797861
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.17.4.4-23.mga9
+ Revision: 1727122
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.17.4.4-22.mga8
+ Revision: 1595267
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 3.17.4.4-21.mga8
+ Revision: 1530103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 3.17.4.4-20.mga8
+ Revision: 1433900
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.17.4.4-19.mga7
+ Revision: 1293763
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.17.4.4-18.mga7
+ Revision: 1249264
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 3.17.4.4-17.mga7
+ Revision: 1166602
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.17.4.4-16.mga7
+ Revision: 1149931
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.17.4.4-15.mga7
+ Revision: 1126777
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 3.17.4.4-14.mga6
+ Revision: 1033320
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 3.17.4.4-13.mga6
+ Revision: 962049
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.17.4.4-12.mga6
+ Revision: 845291
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.17.4.4-11.mga6
+ Revision: 841650
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.17.4.4-10.mga5
+ Revision: 746975
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.17.4.4-9.mga5
+ Revision: 686219
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.17.4.4-8.mga5
+ Revision: 631670
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.17.4.4-7.mga4
+ Revision: 524999
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.17.4.4-6.mga4
+ Revision: 431745
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.17.4.4-5.mga3
+ Revision: 372692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.17.4.4-4.mga3
+ Revision: 251125
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.17.4.4-3.mga2
+ Revision: 104970
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.17.4.4-2.mga1
+ Revision: 31157
- mageia rebuild
- imported package perl-Spread

